Qt 5.11 | Qt Core | C++ Classes | QAbstractEventDispatcher

Qt 5.11.3 Reference Documentation

# Obsolete Members for QAbstractEventDispatcher

The following members of class QAbstractEventDispatcher are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` bool | filterEvent(void *message)
`(obsolete)` virtual void | flush() = 0
`(obsolete)` virtual bool | hasPendingEvents() = 0
`(obsolete)` void | registerTimer(int timerId, int interval, QObject *object)
`(obsolete)` int | registerTimer(int interval, QObject *object)

- 2 public functions inherited from QObject

## Member Function Documentation

### bool QAbstractEventDispatcher::filterEvent(void *message)

Calls filterNativeEvent() with an empty eventType and message. This function returns `true` as soon as an event filter returns `true`, and false otherwise to indicate that the processing of the event should continue.

### `[pure virtual]` void QAbstractEventDispatcher::flush()

Depending from the event dispatcher implementation does nothing or calls QApplication::sendPostedEvents().

### `[pure virtual]` bool QAbstractEventDispatcher::hasPendingEvents()

Returns `true` if there is an event waiting; otherwise returns false. This function is an implementation detail for QCoreApplication::hasPendingEvents() and must not be called directly.

### void QAbstractEventDispatcher::registerTimer(int timerId, int interval, QObject *object)

Register a timer with the specified timerId and interval for the given object.

### int QAbstractEventDispatcher::registerTimer(int interval, QObject *object)

Registers a timer with the specified interval for the given object and returns the timer id.